#ifndef BATCHTO_H
#define BATCHTO_H

#include "workerto.h"
#include "../../../memrep/clustermediator.h"

class BatchTO : public WorkerTO
{
    Q_OBJECT

    public:
        BatchTO(int thd_num, const StringVec& file_names);

    signals:
        void BatchFinished(wv::CLUSTER_ID);

    public slots:
        virtual void Start();

    private:
        StringVec _fileNames;
};

#endif // BATCHTO_H
