#ifndef WAVELETWORKERTO_H
#define WAVELETWORKERTO_H

#include "workerto.h"
#include "../mgr/haarmgr.h"

class HaarWorkerTO : public WorkerTO
{
    Q_OBJECT
    public:
        explicit HaarWorkerTO(int thd_num, HaarMgr::HaarSpec haar_spec);
        virtual void Start() override;
    private:
        HaarMgr::HaarSpec _haarSpec;

#ifndef USE_GSL
        static std::mutex _mutex;
#endif
};

#endif // WAVELETWORKERTO_H
