#ifndef PCA_TO_H
#define PCA_TO_H

#include "transformtobase.h"

class PCA_TO : public TransformTOBase
{
    Q_OBJECT

    public:
        PCA_TO(MatCPtr waves, const std::string& file_name,
               short electrode, ParamsBase* pars, bool is_raw);
        virtual ~PCA_TO() override {}

        virtual std::string Name() const override { return (IsRaw()) ? "pca" : "pca_d"; }
        virtual wv::TRANSFORM Transform() const override { return (IsRaw()) ? wv::PCA : wv::PCA_D; }

    public slots:
        virtual void Start() override;
};

#endif // PCA_TO_H
