#ifndef HD2FILEOUT_H
#define HD2FILEOUT_H

#include "outputfilebase.h"

//For AutoClass
class Hd2FileOut : public OutputFileBase
{
    public:
        Hd2FileOut(const std::string& file_name, wv::TRANSFORM transform,
                   int samples_range, const wv_vector *errors);
        virtual void Save() const override;

    private:
        wv::TRANSFORM _transform;
        int _samplesRange;
        const wv_vector* _errors;
};

#endif // HD2FILEOUT_H
