#ifndef WFMFILE_H
#define WFMFILE_H

#include "outputfilebase.h"

class WfmFileOut : public OutputFileBase
{
    public:
        WfmFileOut(const std::string& name, MatCPtr waves, const FileBase::WfmHeader& header,
                   bool header_only = false);

        virtual void Save() const override;

    private:
        WfmHeader _header;
        bool _headerOnly;
        MatCPtr _waves;
};

#endif // WFMFILE_H
