#include "batchgui.h"
#include "ui_batchgui.h"

BatchGui::BatchGui(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::BatchGui)
{
    ui->setupUi(this);

    ui->lblPCA->setText( session_profile.Par("Session", "Make PCA").c_str() );
    ui->lblFourier->setText( session_profile.Par("Session", "Make Fourier").c_str() );
    ui->lblWavelets->setText( session_profile.Par("Session", "Make Wavelets").c_str() );
    ui->lblRawD->setText( session_profile.Par("Session", "Make Raw-D").c_str() );
    ui->lblPCAD->setText( session_profile.Par("Session", "Make PCA-D").c_str() );
    ui->lblFourierD->setText( session_profile.Par("Session", "Make Fourier-D").c_str() );
    ui->lblWaveletsD->setText( session_profile.Par("Session", "Make Wavelets-D").c_str() );
}

BatchGui::~BatchGui()
{
    delete ui;
}

void BatchGui::on_btnContinue_clicked()
{
    close();
    emit BatchStart();
}
void BatchGui::on_btnCancel_clicked()
{
    close();
}
