#ifndef HISTWGTTHREADMGR_H
#define HISTWGTTHREADMGR_H

#include "../../globals/globals.h"
#include "../../gui/widgets/histwidget.h"
#include "../../analysis/threads/mgr/threadmgr.h"

class HistWgtThreadMgr : public ThreadMgr
{
    Q_OBJECT
    public:
        explicit HistWgtThreadMgr(uchar* pixels, const HistWidget* hist_widget, double max_val);

        virtual WorkerTO* CreateWorkerTO(int thd_num);

    private:
        uchar* _pixels;
        const HistWidget* _histWidget;
        int _maxVal;
};

#endif // HISTWGTTHREADMGR_H
