#ifndef CLUS_GLOBALS_H
#define CLUS_GLOBALS_H

typedef unsigned char uchar;
struct WfmHeader
{
        uchar type;
        int num_records,
            num_samples;
        uchar bps, //bytes per sample
            is_integral; //1 for integral type, 0 for floating point
        double scale,
            shift;
            //For e.g. the case where floating point data has been compressed into shorts.  All types are
            //assumed to be signed.
};


#endif // CLUS_GLOBALS_H
