#ifndef CONTAINSTO_H
#define CONTAINSTO_H

#include "workerto.h"
#include "../mgr/containsmgr.h"

class ContainsTO : public WorkerTO
{
    Q_OBJECT
    public:
        explicit ContainsTO(int thd_num, const ContainsMgr::ContainsSpec& contains_spec,
                            wv_vector_int* vcluster);
        virtual void Start() override;
    private:
        ContainsMgr::ContainsSpec _containsSpec;
        wv_vector_int* _vCluster;
};

#endif // CONTAINSTO_H
