#ifndef FOURIERWORKERTO_H
#define FOURIERWORKERTO_H

#include "workerto.h"
#include "../mgr/fouriermgr.h"

class FourierWorkerTO : public WorkerTO
{
    Q_OBJECT
    public:
        explicit FourierWorkerTO(int thd_num, FourierMgr::FourierSpec& fourier_spec);
        virtual void Start() override;
    private:
        FourierMgr::FourierSpec _fourierSpec;
};

#endif // FOURIERWORKERTO_H
