#ifndef RADIX2TO_H
#define RADIX2TO_H

#include "workerto.h"
#include "../mgr/radix2mgr.h"

class Radix2TO : public WorkerTO
{
    Q_OBJECT
    public:
        explicit Radix2TO(int thd_num, const Radix2Mgr::Radix2Spec& radix2_spec,
                            wv_matrix* radix2_mat);
        virtual void Start() override;
    private:
        Radix2Mgr::Radix2Spec _radix2Spec;
        wv_matrix* _radix2Mat;
};

#endif // RADIX2TO_H
