#ifndef CASEDATAFILEIN_H
#define CASEDATAFILEIN_H

#include "inputfilebase.h"

class CaseDataFileIn : public InputFileBase
{
    public:
        CaseDataFileIn(const std::string& full_path, int num_records, wv::float_t pval);
        virtual ~CaseDataFileIn() override;

        virtual int Load() override;

    private:
        int _numRecords;
        wv::float_t _pVal;
};

#endif // CASEDATAFILEIN_H
