#ifndef MCLUFILEIN_H
#define MCLUFILEIN_H

#include "inputfilebase.h"

class MCluFileIn : public InputFileBase
{
    public:
        MCluFileIn(const std::string& file_name, const boost::dynamic_bitset<>& window);
        virtual ~MCluFileIn() override;

        virtual int Load() override;

    private:
        const boost::dynamic_bitset<>& _window;
};

#endif // MCLUFILEIN_H
