#ifndef WFMFILE_H
#define WFMFILE_H

#include "outputfilebase.h"
#include "../tempfilebase.h"

class WfmFile : public OutputFileBase, public TempFileBase
{
    public:
        WfmFile(const QString& name, const gsl_matrix* waves, const FileBase::WfmHeader& header);

        virtual void Save();

    private:
        WfmHeader _header;
        const gsl_matrix* _waves;
};

#endif // WFMFILE_H
