#ifndef LABELWIDGET_H
#define LABELWIDGET_H

#include "../../globals/globals.h"
#include "../../memrep/specs/clusterspec.h"

class LabelWidget : public QWidget
{
    Q_OBJECT
    
    public:
        explicit LabelWidget(QWidget *parent = 0);

        void SetText(const std::string& text, WSGSpec::AXIS axis);

    protected:
        virtual void paintEvent(QPaintEvent*) override;

    private:
        std::string _text;
        WSGSpec::AXIS _axis;
};

#endif // LABELWIDGET_H
